Get-AzStorageBlob: "Value of '-1' is not valid for 'Value'. 'Value' should be between 'minimum' and 'maximum'.

This forum can be browsed by the general public. Posting is limited to current SAPIEN license holders with active maintenance and does not offer a response time guarantee.
Forum rules
DO NOT POST LICENSE NUMBERS, ACTIVATION KEYS OR ANY OTHER LICENSING INFORMATION IN THIS FORUM.
Only the original author and our tech personnel can reply to a topic that is created in this forum. If you find a topic that relates to an issue you are having, please create a new topic and reference the other in your post.

Any code longer than three lines should be added as code using the 'Select Code' dropdown menu or attached as a file.
StevenTL
Posts: 1
Last visit: Tue Jan 24, 2023 12:21 am

Get-AzStorageBlob: "Value of '-1' is not valid for 'Value'. 'Value' should be between 'minimum' and 'maximum'.

Post by StevenTL »

To help you better we need some information from you.

This may be the same issue as described here: viewtopic.php?t=16191

Product, version and build: PowerShell Studio 2023, 5.8.215
Operating system: Windows 11 Enterprise
PowerShell version(s): 5

Any invocation of Get-AzStorageBlob from the Az.Storage module fails with error "Value of '-1' is not valid for 'Value'. 'Value' should be between 'minimum' and 'maximum'. Parameter name: Value" when running from within Sapien "Run" or any debugging.

This also occured for Get-AzSotrageBlob's predecessor Get-AzureStorageBlob.

This does not occur for the same script executed from the terminal in the same machine and user context.
User avatar
Alexander Riedel
Posts: 8178
Last visit: Fri Jan 27, 2023 2:53 pm
Answers: 12
Been upvoted: 30 times

Re: Get-AzStorageBlob: "Value of '-1' is not valid for 'Value'. 'Value' should be between 'minimum' and 'maximum'.

Post by Alexander Riedel »

Yes, we are aware and it has already been fixed.
Alexander Riedel
SAPIEN Technologies, Inc.